Last Comment Bug 725486 - Failure in testSecurity/testSubmitUnencryptedInfoWarning.js | The value in the search field should equal 'mozilla'
: Failure in testSecurity/testSubmitUnencryptedInfoWarning.js | The value in th...
Status: RESOLVED FIXED
[mozmill-test-failure][qa-]
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Alex Lakatos[:AlexLakatos]
:
Mentors:
http://mozmill-release.blargon7.com/#...
Depends on: 762964
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-08 14:57 PST by Anthony Hughes (:ashughes) [GFX][QA][Mentor]
Modified: 2012-08-14 14:51 PDT (History)
3 users (show)
alex.lakatos.qa: in‑litmus+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
fixed


Attachments
disable v1 (all) [landed] (1.49 KB, patch)
2012-02-09 09:43 PST, Alex Lakatos[:AlexLakatos]
anthony.s.hughes: review+
Details | Diff | Review
patch v1.0 (2.91 KB, patch)
2012-06-06 09:06 PDT, Alex Lakatos[:AlexLakatos]
hskupin: review-
Details | Diff | Review
patch v2.0 (4.51 KB, patch)
2012-08-06 09:36 PDT, Alex Lakatos[:AlexLakatos]
hskupin: review-
Details | Diff | Review
patch v3.0 (5.30 KB, patch)
2012-08-07 10:44 PDT, Alex Lakatos[:AlexLakatos]
hskupin: review+
Details | Diff | Review

Description Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-02-08 14:57:21 PST
testSecurity/testSubmitUnencryptedInfoWarning.js is failing with the following message:

The value in the search field is the expected search term - '' should equal 'mozilla' 

This failure appears across all branches and platforms, and appears to have just started today (Feb 8, 2012).
Comment 1 Alex Lakatos[:AlexLakatos] 2012-02-09 09:43:12 PST
Created attachment 595789 [details] [diff] [review]
disable v1 (all) [landed]

The test can't type in the search box. It can type in other boxes, but not in the search box. Investigating further and skipping the test for now.
Comment 3 Henrik Skupin (:whimboo) 2012-06-05 04:17:45 PDT
Alex, any update on this bug?
Comment 4 Alex Lakatos[:AlexLakatos] 2012-06-05 11:49:41 PDT
(In reply to Henrik Skupin (:whimboo) from comment #3)
> Alex, any update on this bug?
The Mozilla main page changed in the meantime. The test needs to be updated, so I'm doing that.
Comment 5 Alex Lakatos[:AlexLakatos] 2012-06-06 09:06:14 PDT
Created attachment 630587 [details] [diff] [review]
patch v1.0

Opening the tabzilla panel. There is no more Go button, so using Enter
Comment 6 Henrik Skupin (:whimboo) 2012-06-07 08:39:24 PDT
Comment on attachment 630587 [details] [diff] [review]
patch v1.0

We now have SSL certs on mozqa.com and can make use of it. Please find a page or create a new one in the litmus-data repository which we can make use of.
Comment 7 Henrik Skupin (:whimboo) 2012-08-06 04:08:18 PDT
Do we have to use the OV cert here? I would say the DV one will also be enough.
Comment 8 Alex Lakatos[:AlexLakatos] 2012-08-06 09:36:24 PDT
Created attachment 649296 [details] [diff] [review]
patch v2.0

(In reply to Henrik Skupin (:whimboo) from comment #7)
> Do we have to use the OV cert here? I would say the DV one will also be
> enough.
The type of certificate does not matter, as long as I can access the website using https.
Comment 9 Henrik Skupin (:whimboo) 2012-08-07 06:28:18 PDT
Comment on attachment 649296 [details] [diff] [review]
patch v2.0

> const TIMEOUT_MODAL_DIALOG = 30000;
>-const TEST_SITE = "https://www.mozilla.org/";
>+const TEST_SITE = "https://ssl-dv.mozqa.com/"

Please separate those two blocks by an empty line.

>+  var submitButton = new elementslib.ID(controller.tabs.activeTab,
>+                                        "submit");
>+  controller.waitForElement(submitButton, gTimeout);

No gTimeout needed here. Lets get rid of this variable. 

>+  expect.equal(searchTerm.getNode().textContent, "mozilla",
>+               "The value bolded is the expected search term");

There is no need to mention the styling of the search term. It's not relevant here. It just should say: "Search term correctly submitted".
Comment 10 Alex Lakatos[:AlexLakatos] 2012-08-07 10:44:10 PDT
Created attachment 649690 [details] [diff] [review]
patch v3.0

addressed requested reviews
Comment 11 Henrik Skupin (:whimboo) 2012-08-08 05:30:31 PDT
Pushed to default:
http://hg.mozilla.org/qa/mozmill-tests/rev/d687a328f751

If everything works fine we should backport the patch to older branches in the next days.
Comment 12 Henrik Skupin (:whimboo) 2012-08-09 06:11:32 PDT
Pushed to older branches:
http://hg.mozilla.org/qa/mozmill-tests/rev/9a3e54819764 (aurora)
http://hg.mozilla.org/qa/mozmill-tests/rev/3fde9d85516b (beta)
http://hg.mozilla.org/qa/mozmill-tests/rev/069a7d7125f3 (release)
http://hg.mozilla.org/qa/mozmill-tests/rev/df3c7bf14728 (esr10)

Alex, please re-enable the Mozmill coverage on Litmus for all branches.
Comment 13 Alex Lakatos[:AlexLakatos] 2012-08-09 07:54:35 PDT
https://litmus.mozilla.org/show_test.cgi?id=16752 - aurora
https://litmus.mozilla.org/show_test.cgi?id=41850 - release
https://litmus.mozilla.org/show_test.cgi?id=65099 - esr
There is no Beta or Default branch in litmus.

Note You need to log in before you can comment on or make changes to this bug.